# Toolchain builder for the Serene programming language
#
# Copyright (c) 2019-2023 Sameer Rahmani <lxsameer@gnu.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, version 2.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from conan import ConanFile
from conan.tools.scm import Git
from conan.tools.files import get

from conf.utils import *


class IWYU(ConanFile):
    name = "iwyu"
    version = get_version("iwyu")
    settings = "os", "arch"

    def build(self):
        g = Git(self)

        g.clone(
            url="https://github.com/include-what-you-use/include-what-you-use",
            target=self.package_folder,
        )
        with chpath(self.package_folder):
            g.checkout(self.version)
